<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| KiCo-RSS-Panel
| Copyright (c) 2009 Comy
| http://www.php-fusion-shop.de
|----------------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."comy_rss_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."comy_rss_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."comy_rss_panel/locale/German.php";
}

$type = "";
$id = "";
$fid = "";
$params = "";

if(strstr(FUSION_SELF, "news.php")) {
	$type = 1;
	$des = $locale['RSS_001'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "articles.php")) {
	$type = 2;
	$des = $locale['RSS_002'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "download.php")) {
	$type = 3;
	$des = $locale['RSS_003'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "viewthread.php")) {
	$type = 4;
	$id = $_GET['thread_id'];
	//$fid = $_GET['forum_id'];
	$des = $locale['RSS_004'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "news_cats.php")) {
	$type = 5;
	$id = $_GET['cat_id'];
	$des = $locale['RSS_006'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "viewforum.php")) {
	$type = 4;
	//$id = $_GET['forum_id'];
	$des = $locale['RSS_004'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "weblinks.php")) {
	$type = 7;
	$des = $locale['RSS_008'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "faq.php")) {
	$type = 8;
	$des = $locale['RSS_009'].$locale['RSS_005'];
}
if(strstr(FUSION_SELF, "photogallery.php")) {
	$type = 9;
	$des = $locale['RSS_010'].$locale['RSS_005'];
} 
if(strstr(FUSION_SELF, "index.php")) {
	$type = 4;
	$des = $locale['RSS_004'].$locale['RSS_005'];
}

if(isset($type) && isNum($type)) $params.="type=$type";
if(isset($id) && isNum($id)) $params.="&id=$id";
//if(isset($fid) && isNum($fid)) $params.="&fid=$fid";

if($params=="") {
	$params.="type=1";
	$des = $locale['RSS_001'].$locale['RSS_005'];
}

add_to_head('<link rel="alternate" type="application/rss+xml"
   title="RSS" href="'.INFUSIONS.'comy_rss_panel/rss.php?'.$params.'" />');

openside($locale['RSS_000']);
echo "<div align='center'><img src='".INFUSIONS."comy_rss_panel/images/rss.png' alt='RSS-Feeds'> <b>".$des."</b><br /></div>\n
<div align='center'> <a href='".INFUSIONS."comy_rss_panel/rss.php?$params' title='RSS 2.0 Feed'>RSS 2.0</a></div>\n";
closeside();
?>