<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| KiCo-RSS-Panel
| Copyright (c) 2009 Comy
| http://www.php-fusion-shop.de
|----------------------------------------------------*/
header("Content-Type: text/xml");
require_once "../../maincore.php";

if(isset($_GET['type'])){
	$type=$_GET['type'];
}else{
	$type='1';
}
if(!isNum($type)) fallback(BASEDIR."index.php");
if(isset($_GET['id']) && !is_numeric($_GET['id'])) fallback(BASEDIR."index.php");
if(isset($_GET['fid']) && !is_numeric($_GET['fid'])) fallback(BASEDIR."index.php");


echo "<?xml version='1.0' ?>
<?xml-stylesheet href='".INFUSIONS."comy_rss_panel/rss.css' type='text/css' media='screen' ?>

<rss version='2.0'>\n
<channel>
  <title>".$settings['sitename']."</title>
  <link>".$settings['siteurl']."</link>
  <image>
      <url>".$settings['siteurl'].$settings['sitebanner']."</url>
      <title>".$settings['sitename']."</title>
      <link>".$settings['siteurl']."</link>
  </image>
  <description>".$settings['description']."</description>
  <pubDate>".strftime("%a, %d %B %Y %H:%M:%S")." GMT</pubDate>
  <generator>RSS Panel by PHP-Fusion-Shop.de</generator>
  <copyright>Copyright - ".strftime("%Y").", ".$settings['sitename']."</copyright>\n";

switch ($type) {
   case 1:
      $newsquery = dbquery("SELECT * FROM ".DB_NEWS." WHERE news_visibility='0' ORDER BY news_datestamp DESC LIMIT 0,20");
      while ($row=dbarray($newsquery)) {
      $rsid = intval($row['news_id']);
      $rtitle = $row['news_subject'];
      
      $rpubDate = date("r",$row['news_datestamp']);
      $description = stripslashes(htmlspecialchars($row['news_news']));
      $description = strip_tags($description,"<a><br />");

      echo "  <item>
    <title>".stripslashes($rtitle)."</title>
    <link>".$settings['siteurl']."news.php?readmore=".$rsid."</link>
    <guid>".$settings['siteurl']."news.php?readmore=".$rsid."</guid>
    <pubDate>".$rpubDate."</pubDate>
    <description>".$description."</description>
   
  </item>\n";
   }
   break;
   case 2:
      $ArticlesQuery = dbquery("SELECT * FROM ".$DB_ARTICLES." WHERE article_draft='0' ORDER BY article_datestamp DESC LIMIT 0,20");
      while ($row=dbarray($ArticlesQuery)) {
      $rsid = intval($row['article_id']);
      $rtitle = $row['article_subject'];
      $rpubDate = date("r",$row['article_datestamp']);
      $description = stripslashes($row['article_snippet']);
      $description = nl2br(strip_tags($description));

      echo "  <item>
    <title>".htmlspecialchars($rtitle)."</title>
    <link>".$settings['siteurl']."readarticle.php?article_id=".$rsid."</link>
    <guid>".$settings['siteurl']."readarticle.php?article_id=".$rsid."</guid>
    <pubDate>".$rpubDate."</pubDate>
    <description>".$description."</description>
  </item>\n";
   }
   break;
   case 3:
   require_once(INFUSIONS."pro_download_panel/infusion_db.php");
      $DownloadsQuery = dbquery("SELECT * FROM ".DB_PDP_DOWNLOADS." ORDER BY dl_mtime DESC LIMIT 0,20");
      while ($row=dbarray($DownloadsQuery)) {
      $rsid = intval($row['download_id']);
      $rtitle = $row['dl_name'];
      $rpubDate = date("r",$row['dl_mtime']);
      $description = stripslashes(htmlspecialchars($row['dl_abstract']));
      $description = strip_tags($description,"<a><br />");

      echo "  <item>
    <title>".htmlspecialchars($rtitle)."</title>
    <link>".$settings['siteurl']."infusions/pro_download_panel/download.php?did=".$rsid."</link>
    <guid>".$settings['siteurl']."infusions/pro_download_panel/download.php?did=".$rsid."</guid>
    <pubDate>".$rpubDate."</pubDate>
    <description>".$description."</description>
  </item>\n";
   }
   break;
   case 4:
      $ForumTopicQuery = dbquery("
   SELECT *
   FROM ".DB_POSTS." 
   ORDER BY post_datestamp DESC LIMIT 0,20
   ");
  
      while ($row=dbarray($ForumTopicQuery)) {
      $rsid = intval($row['post_id']);
      $rtitle = $row['post_message'];
      $rpubDate = date("r",$row['post_datestamp']);
      $description = stripslashes($row['post_message']);
      $description = nl2br(strip_tags($description));

      echo "  <item>
    <title>".htmlspecialchars($rtitle)."</title>
    <link>".$settings['siteurl']."forum/viewthread.php?thread_id=".$_GET['id']."#post_".$rsid."</link>
    <guid>".$settings['siteurl']."forum/viewthread.php?thread_id=".$_GET['id']."</guid>
    <pubDate>".$rpubDate."</pubDate>
    <description>".$description."</description>
  </item>\n";
   }
   break;
   case 5:
      $NewsCatsQuery = dbquery("
   SELECT tn.*, tu.user_name, tu.user_email
   FROM ".DB_NEWS." tn
   INNER JOIN ".DB_USERS." tu
   ON tu.user_id = tn.news_name
   WHERE news_cat = ".$id." AND news_visibility='0'
   GROUP BY tn.news_id
   ORDER BY tn.news_datestamp DESC LIMIT 0,15
   ");
      while ($row=dbarray($NewsCatsQuery)) {
      $rsid = intval($row['news_id']);
      $rtitle = $row['news_subject'];
      $rpubDate = date("r",$row['news_datestamp']);
      $description = stripslashes($row['news_news']);
      $description = nl2br(strip_tags($description));

      echo "  <item>
    <title>".htmlspecialchars($rtitle)."</title>
    <link>".$settings['siteurl']."news.php?readmore=".$rsid."</link>
    <guid>".$settings['siteurl']."news.php?readmore=".$rsid."</guid>
    <pubDate>".$rpubDate."</pubDate>
    <description>".$description."</description>
  </item>\n";
   }
   break;
   case 6:
      $ForumThreadQuery = dbquery("
   SELECT tt.*, tu.user_name, tu.user_email
   FROM ".DB_THREADS." tt
   INNER JOIN ".DB_USERS." tu
   ON tu.user_id = tt.thread_author
   WHERE tt.forum_id = ".$_GET['id']."
   GROUP BY tt.thread_id
   ORDER BY tt.thread_id DESC LIMIT 0,10
   ");
      while ($row=dbarray($ForumThreadQuery)) {
      $rsid = intval($row['thread_id']);
      $rtitle = $row['thread_subject'];
      $rpubDate = "";
      $description = "";

      echo "  <item>
    <title>".htmlspecialchars($rtitle)."</title>
    <link>".$settings['siteurl']."forum/viewforum.php?forum_id=".$_GET['id']."</link>
    <guid>".$settings['siteurl']."forum/viewforum.php?forum_id=".$_GET['id']."</guid>
    <pubDate>".$rpubDate."</pubDate>
    <description>".$description."</description>
  </item>\n";
   }
   break;
   
    case 7:
      $linksquery = dbquery("SELECT * FROM ".DB_WEBLINKS." ORDER BY weblink_datestamp DESC LIMIT 0,20");
      while ($row=dbarray($linksquery)) {
      $wsid = intval($row['weblink_id']);
      $wtitle = $row['weblink_name'];
	  $wcat = $row['weblink_cat'];
      
      $wpubDate = date("r",$row['weblink_datestamp']);
      $description = stripslashes(htmlspecialchars($row['weblink_description']));
      $description = strip_tags($description,"<a><br />");
	  $description = substr($description, 0, 200);

      echo "  <item>
    <title>".htmlspecialchars($wtitle)."</title>
    <link>".$settings['siteurl']."weblinks.php?catid=".$wcat."#".$wsid."</link>
    <guid>".$settings['siteurl']."weblinks.php?catid=".$wcat."#".$wsid."</guid>
    <pubDate>".$wpubDate."</pubDate>
    <description>".$description."</description>
   
  </item>\n";
   }
   break;
   case 8:
      $faqsquery = dbquery("SELECT * FROM ".$DB_FAQS." ORDER BY faq_id DESC LIMIT 0,20");
      while ($row=dbarray($faqsquery)) {
      $fsid = intval($row['faq_id']);
      $ftitle = $row['faq_question'];
	  $fcat = $row['faq_cat_id'];
      
      
      $description = stripslashes(htmlspecialchars($row['faq_answer']));
      $description = strip_tags($description,"<a><br />");
	  $description = substr($description, 0, 200);

      echo "  <item>
    <title>".htmlspecialchars($ftitle)."</title>
    <link>".$settings['siteurl']."faq.php?catid=".$fcat."</link>
    <guid>".$settings['siteurl']."faq.php?catid=".$fcat."</guid>
    <description>".$description."</description>
   
  </item>\n";
   }
   break;
  case 9:
     $fotoquery = dbquery("SELECT * FROM ".DB_PHOTOS. " ORDER BY photo_datestamp DESC LIMIT 0,20");
	 while ($row=dbarray($fotoquery)){
		 $fsid = intval($row['photo_id']);
         $ftitle = $row['photo_title'];
      
        $description = stripinput("<img src='".$settings['siteurl']."images/photoalbum/album_".$row['album_id']."/".$row['photo_thumb1']."' />");
        //$description = strip_tags($description,"<a><br />");
	    //$description = substr($description, 0, 200);

      echo "  <item>
    <title>".$ftitle."</title>
    <link>".$settings['siteurl']."photogallery.php?photo_id=".$fsid."</link>
    <guid>".$settings['siteurl']."photogallery.php?photo_id=".$fsid."</guid>
    <description>".$description."</description>
   
  </item>\n";
   }
}
echo "</channel>
</rss>";

?>
